From 3461f021e1a7c78723d897dfb573447241cee24a Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Thu, 24 Jun 2021 11:01:39 +0200
Subject: [PATCH v3 1/2] Docs: SSL/TLS related acronyms

This adds MITM and SNI as acronyms, as the documentation already had
them marked up with <acronym />.

Also while in there, make sure to spell man-in-the-middle with dashes
consistently.

Author: Daniel Gustafsson <daniel@yesql.se>
Reviewed-by: Michael Paquier <michael@paquier.xyz>
Discussion: https://postgr.es/m/CE12DD5C-4BB3-4166-BC9A-39779568734C@yesql.se
---
 doc/src/sgml/acronyms.sgml | 23 +++++++++++++++++++++++
 doc/src/sgml/libpq.sgml    |  8 ++++----
 2 files changed, 27 insertions(+), 4 deletions(-)

diff --git a/doc/src/sgml/acronyms.sgml b/doc/src/sgml/acronyms.sgml
index 13bd819eb1..98873ff09f 100644
--- a/doc/src/sgml/acronyms.sgml
+++ b/doc/src/sgml/acronyms.sgml
@@ -410,6 +410,17 @@
     </listitem>
    </varlistentry>
 
+   <varlistentry>
+    <term><acronym>MITM</acronym></term>
+    <listitem>
+     <para>
+      <ulink
+      url="https://en.wikipedia.org/wiki/Man-in-the-middle_attack">
+      Man-in-the-middle</ulink> attack
+     </para>
+    </listitem>
+   </varlistentry>
+
    <varlistentry>
     <term><acronym>MSVC</acronym></term>
     <listitem>
@@ -590,6 +601,18 @@
     </listitem>
    </varlistentry>
 
+   <varlistentry>
+    <term><acronym>SNI</acronym></term>
+    <listitem>
+     <para>
+      <ulink
+       url="https://en.wikipedia.org/wiki/Server_Name_Indication">
+       Server Name Indication</ulink>,
+      <ulink url="https://tools.ietf.org/html/rfc6066#section-3">RFC 6066</ulink>
+     </para>
+    </listitem>
+   </varlistentry>
+
    <varlistentry>
     <term><acronym>SPI</acronym></term>
     <listitem>
diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index 441cc0da3a..6882c0ebce 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -1783,9 +1783,9 @@ postgresql://%2Fvar%2Flib%2Fpostgresql/dbname
       <listitem>
        <para>
         By default, libpq sets the TLS extension <quote>Server Name
-        Indication</quote> (SNI) on SSL-enabled connections.  See <ulink
-        url="https://tools.ietf.org/html/rfc6066#section-3">RFC 6066</ulink>
-        for details.  By setting this parameter to 0, this is turned off.
+        Indication</quote> (<acronym>SNI</acronym>) on SSL-enabled connections.
+        By setting this parameter to <literal>0</literal>, this
+        is turned off.
        </para>
 
        <para>
@@ -8430,7 +8430,7 @@ ldap://ldap.acme.com/cn=dbserver,cn=hosts?pgconnectinfo?base?(objectclass=*)
     </varlistentry>
 
     <varlistentry>
-     <term>Man in the middle (<acronym>MITM</acronym>)</term>
+     <term>Man-in-the-middle (<acronym>MITM</acronym>)</term>
      <listitem>
       <para>If a third party can modify the data while passing between the
        client and server, it can pretend to be the server and therefore see and
-- 
2.30.1 (Apple Git-130)

